package com.ruoyi.os.service;

import java.util.List;
import com.ruoyi.os.domain.HealthcareOsPatientInfo;
import com.ruoyi.os.domain.StudentInfo;

/**
 * 患者信息Service接口
 *
 * @author 何顺
 * @date 2024-09-17
 */
public interface IHealthcareOsPatientInfoService
{
    /**
     * 查询患者信息
     *
     * @param id 患者信息主键
     * @return 患者信息
     */
    public HealthcareOsPatientInfo selectOsPatientInfoById(Long id);

    /**
     * 查询患者信息
     *
     * @param studentId 患者 学号/工号
     * @return 患者信息
     */
    public HealthcareOsPatientInfo selectOsPatientInfoByStudentId(String studentId);

    /**
     * 查询患者信息列表
     *
     * @param osPatientInfo 患者信息
     * @return 患者信息集合
     */
    public List<HealthcareOsPatientInfo> selectOsPatientInfoList(HealthcareOsPatientInfo osPatientInfo);

    /**
     * 新增患者信息
     *
     * @param osPatientInfo 患者信息
     * @return 结果
     */
    public int insertOsPatientInfo(HealthcareOsPatientInfo osPatientInfo);

    /**
     * 修改患者信息
     *
     * @param osPatientInfo 患者信息
     * @return 结果
     */
    public int updateOsPatientInfo(HealthcareOsPatientInfo osPatientInfo);

    /**
     * 批量删除患者信息
     *
     * @param ids 需要删除的患者信息主键集合
     * @return 结果
     */
    public int deleteOsPatientInfoByIds(Long[] ids);

    /**
     * 删除患者信息信息
     *
     * @param id 患者信息主键
     * @return 结果
     */
    public int deleteOsPatientInfoById(Long id);

    /**
     *   获取 学生 信息
     */
    public List<HealthcareOsPatientInfo> getStudentInfoList(StudentInfo studentInfo);

    List<HealthcareOsPatientInfo> getTeachingStaffInfo(HealthcareOsPatientInfo patientInfo);
}
